FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202109210902.p0.git.56eb729.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202109210902.p0.git.56eb729.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=56eb729cc554a5b8ec5c1ae0b302396c6637eea1 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=16+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.16.0+56eb729 OS_GIT_COMMIT=56eb729 OS_GIT_VERSION=4.7.0-202109210902.p0.git.56eb729.assembly.stream-56eb729 SOURCE_DATE_EPOCH=1626805129 SOURCE_GIT_COMMIT=56eb729cc554a5b8ec5c1ae0b302396c6637eea1 SOURCE_GIT_TAG=56eb729 SOURCE_GIT_URL=https://github.com/openshift/local-storage-operator 
WORKDIR /go/src/github.com/openshift/local-storage-operator
COPY . .
RUN make build-diskmaker

FROM openshift/ose-base:v4.7.0.20210921.092550
ENV __doozer=update BUILD_RELEASE=202109210902.p0.git.56eb729.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202109210902.p0.git.56eb729.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=56eb729cc554a5b8ec5c1ae0b302396c6637eea1 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=16+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.16.0+56eb729 OS_GIT_COMMIT=56eb729 OS_GIT_VERSION=4.7.0-202109210902.p0.git.56eb729.assembly.stream-56eb729 SOURCE_DATE_EPOCH=1626805129 SOURCE_GIT_COMMIT=56eb729cc554a5b8ec5c1ae0b302396c6637eea1 SOURCE_GIT_TAG=56eb729 SOURCE_GIT_URL=https://github.com/openshift/local-storage-operator 

COPY --from=builder /go/src/github.com/openshift/local-storage-operator/_output/bin/diskmaker /usr/bin/
COPY --from=builder /go/src/github.com/openshift/local-storage-operator/deploy/scripts /scripts
COPY manifests /manifests

RUN yum install -y e2fsprogs xfsprogs && yum clean all && rm -rf /var/cache/yum

ENTRYPOINT ["/usr/bin/diskmaker"]

LABEL \
        io.k8s.display-name="OpenShift local storage diskmaker" \
        io.k8s.description="This is a component of OpenShift and manages local disks." \
        maintainer="Hemant Kumar <hekumar@redhat.com>" \
        name="openshift/ose-local-storage-diskmaker" \
        com.redhat.component="local-storage-diskmaker-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        io.openshift.maintainer.subcomponent="Local Storage Operator" \
        release="202109210902.p0.git.56eb729.assembly.stream" \
        io.openshift.build.commit.id="56eb729cc554a5b8ec5c1ae0b302396c6637eea1" \
        io.openshift.build.source-location="https://github.com/openshift/local-storage-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/local-storage-operator/commit/56eb729cc554a5b8ec5c1ae0b302396c6637eea1" \
        version="v4.7.0"

